UG二次开发 倒斜角UF_MODL_create_chamfer

本实例通过ufun函数UF_MODL_create_chamfer 实现倒斜角的功能。

最终效果图如下:

一、主程序

//倒斜角
theUFSession = UFSession.GetUFSession();
Tag edgeTag = Tag.Null;
theUFSession.Obj.CycleByName("EDGE1", ref edgeTag);
Tag[] edgeList = new Tag[] { edgeTag };
EventHelper.CreateChamfer(2, "30", "30", "0", edgeList);

二、倒斜角方法封装

/// <summary>
/// 倒斜角
/// </summary>
/// <param name="subtype">倒角类型:1==单个偏置,2==双偏置,3==偏置角度,4=自由曲面单偏置,5=自由曲面双偏置</param>
/// <param name="offset1">第一偏置距离</param>
/// <param name="offset2">第二偏置距离</param>
/// <param name="theta">倒角角度</param>
/// <param name="edges">倒角边列表</param>
/// <returns></returns>
public static Tag CreateChamfer(int subtype, string offset1, string offset2, string theta, Tag[] edges)
{
    Tag chamferTag;
    theUFSession = UFSession.GetUFSession();
    theUFSession.Modl.CreateChamfer(subtype, offset1, offset2, theta, edges, out chamferTag);
    return chamferTag;
}

三、ufun函数解析

int UF_MODL_create_chamfer
(int subtype,  char * offset1, char * offset2, char * theta, uf_list_p_t edges, tag_t * feature_obj_id)

subtype:倒角类型:1==单个偏置,2==双偏置,3==偏置角度,4=自由曲面单偏置,5=自由曲面双偏置

offset1:第一偏置距离

offset2:第二偏置距离

theta:倒角角度

edges:倒角边列表

  • 0
    点赞
  • 1
    收藏
    觉得还不错? 一键收藏
  • 打赏
    打赏
  • 0
    评论
评论
添加红包

请填写红包祝福语或标题

红包个数最小为10个

红包金额最低5元

当前余额3.43前往充值 >
需支付:10.00
成就一亿技术人!
领取后你会自动成为博主和红包主的粉丝 规则
hope_wisdom
发出的红包

打赏作者

MarcoPro

你的鼓励将是我创作的最大动力

¥1 ¥2 ¥4 ¥6 ¥10 ¥20
扫码支付:¥1
获取中
扫码支付

您的余额不足,请更换扫码支付或充值

打赏作者

实付
使用余额支付
点击重新获取
扫码支付
钱包余额 0

抵扣说明:

1.余额是钱包充值的虚拟货币,按照1:1的比例进行支付金额的抵扣。
2.余额无法直接购买下载,可以购买VIP、付费专栏及课程。

余额充值